/* echo.h */

/* Copyright (C) 2002 Niels Mller
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* Interprets the contents of packets as follows:
 *
 * First byte is a version number, which should be 2 */

#define ECHO_PROTOCOL_VERSION 2

/* The next byte is a length, divided by 16. If it is zero, the entire
 * packet is echoed (or less, if it exceeds the echo server's limits).
 * Otherwise, a reply of that size is sent. */

#define ECHO_SIZE_INCREMENT 16

/* The third field is 1 + the desired ttl for the reply. Also set to
 * zero for the reply. */
 
